Get filter set

View as MarkdownOpen in Claude
Get details of a filter set.

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

idstringRequired
ID of the filter set.

Query parameters

version_numberintegerOptional
Allows you to specify a specific version of the filter set to retrieve.

Response

Filter set details
idstringOptional
ID of the filter set.
versionintegerOptional
An incrementing integer indicating the version of the filter set.
is_deletedbooleanOptional
Whether the filter set has been deleted.
is_lockedbooleanOptional
Whether the filter set has been locked.
workspace_idstring or nullOptional
ID of the workspace where the filter set can be used.
organisation_idstring or nullOptional
ID of the workspace where the filter set can be used.
namestringOptional
Name of the filter set.
descriptionstring or nullOptional<=2048 characters
Description of the filter set.
filterslist of objectsOptional
List of all filters contained in the filter set.
eligible_participant_countintegerOptional
The number of participants who match the filter sets filters. Please note that if the number is lower than 5 the count will be obscured to prevent identification of participants.

Errors

4XX
Client Request Error